1. Shipments
Salla Platform Docs
  • Getting Started
  • Migration to the New API
  • Publish App
  • Change Log
  • Shipping Management
    • App Cycle
    • Test App
    • Create App
    • Setup App
  • Order Fulfilment
    • App Cycle
    • Setup App
    • Test App
    • Create App
  • Salla AWB
    • Getting Started
    • Create Shipping App
    • Setup Shipping App
    • App Functions
      • Shipment Creating
      • Shipment Cancelling
    • Generating AWB
      • Shipment AWB
      • Shipment Return AWB
      • Shipment Cancelled AWB
  • APIs
    • Shipments
      • Create Shipment
        POST
      • List Shipments
        GET
      • Update Shipment Details
        PUT
      • Shipment Details
        GET
      • Cancel Shipments
        POST
      • Return Shipments
        POST
      • Shipment Tracking
        GET
    • Shipping Companies
      • List Shipping Companies
        GET
      • Shipping Company Details
        GET
    • Shipping Routes
      • Routes List
        GET
      • Route Details
        GET
      • Create Route
        POST
      • Update Route
        PATCH
      • Default Route
        PATCH
      • Delete Route
        DELETE
Merchant
Merchant
  • Merchant API
  • Embedded SDK
  • Salla OAuth 2.0
Storefront
Storefront
  • Twilight Engine
  • Twilight SDK
  • Web Components
  • Ecommerce Events
  • Component Bundle
  • Checkout APIs
  • Change Log
App Functions
Partner APIs
Partner APIs
  • App API
  • Shipments & Fulfillment APIs
  • Salla AWB
  • Recurring Payments API
  • Billing System Salla partners
  • Communication Apps
Dev Tools
Dev Tools
  • Partners Agent Kit
  • Salla Apps Playbook
  • Salla CLI
Merchant
Merchant
  • Merchant API
  • Embedded SDK
  • Salla OAuth 2.0
Storefront
Storefront
  • Twilight Engine
  • Twilight SDK
  • Web Components
  • Ecommerce Events
  • Component Bundle
  • Checkout APIs
  • Change Log
App Functions
Partner APIs
Partner APIs
  • App API
  • Shipments & Fulfillment APIs
  • Salla AWB
  • Recurring Payments API
  • Billing System Salla partners
  • Communication Apps
Dev Tools
Dev Tools
  • Partners Agent Kit
  • Salla Apps Playbook
  • Salla CLI
Salla - Opensource
Salla - Developers Community
  1. Shipments

Cancel Shipments

Production
https://api.salla.dev/admin/v2
Production
https://api.salla.dev/admin/v2
POST
https://api.salla.dev/admin/v2
/shipments/{shipment_id}/cancel
Last modified:2026-09-20 13:18:52
You can cancel specific Shipment by providing the ID of the shipment you want to cancel.
Scopes
shipping.read_write- Shipping Read & Write

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.salla.dev/admin/v2/shipments//cancel' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "status": 200,
    "success": true,
    "data": {
        "id": 362985662,
        "order_id": 560695738,
        "order_reference_id": 48927,
        "created_at": {
            "date": "2023-01-16 22:48:45.000000",
            "timezone_type": 3,
            "timezone": "Asia/Riyadh"
        },
        "type": "shipment",
        "courier_id": 814202285,
        "courier_name": "DHL",
        "courier_logo": "https://company.com/logo.png",
        "shipping_number": 0,
        "tracking_number": 0,
        "pickup_id": null,
        "trackable": true,
        "tracking_link": "https://www.company/tracking/tracking-express.html?submit=1&tracking-id=12345",
        "label": [],
        "payment_method": "cod",
        "source": "api",
        "status": "cancelled",
        "total": {
            "amount": 100,
            "currency": "SAR"
        },
        "cash_on_delivery": {
            "amount": "10.70",
            "currency": "SAR"
        },
        "packages": [
            {
                "name": "منتج تجريبي",
                "sku": "6ytrrhrhr",
                "price": {
                    "amount": "50.00",
                    "currency": "SAR"
                },
                "quantity": 2,
                "weight": {
                    "value": "1.00",
                    "unit": "kg"
                }
            }
        ],
        "ship_from": {
            "type": "branch",
            "name": "Riyadh",
            "email": "",
            "phone": "0555555555",
            "country": "السعودية",
            "city": "RIYADH",
            "address_line": "7687 طريق الملك فهد الفرعي,الملك فهد,12262, 7687 طريق الملك فهد الفرعي، الملك فهد، الرياض 12262 3010، السعودية, RIYADH,السعودية",
            "street_number": "7687 طريق الملك فهد الفرعي",
            "block": "الملك فهد",
            "postal_code": "12262",
            "latitude": 24.7431373,
            "longitude": 46.6570741,
            "branch_id": 1723506348
        },
        "ship_to": {
            "type": "address",
            "name": "Username",
            "email": "[email protected]",
            "phone": "055-555-555",
            "country": "السعودية",
            "city": "الرياض",
            "address_line": " شارع 2345، الحي السلام 95128،, شارع عبدالله  سنابل السلام  مكة  السعوديه,, الرياض, السعودية",
            "street_number": "2345",
            "block": "السلام",
            "postal_code": "95128",
            "latitude": 21.382590509685,
            "longitude": 39.773191030685
        },
        "meta": {
            "app_id": null,
            "policy_options": {
                "boxes": 2
            }
        },
        "billing_account": "salla"
    }
}
🟠404Not Found
Modified at 2026-09-20 13:18:52
Previous
Shipment Details
Next
Return Shipments